# Comments start with a hash symbol (#) and last until end of line.
# An empty line is treated as a comment.
# A string is any sequence of characters not containing whitespaces, tabs, newlines or other special characters.
# Threads are enumerated, starting with 0

# Transition relations
# T <thread number> <global store> <local store> <global store after the transition> <local store after the transition>
T 0 0 A 1 B
T 0 0 B 0 C
T 0 1 B 0 C
T 0 0 C 0 A
T 0 1 C 1 A

T 1 0 A 1 B
T 1 0 B 0 C
T 1 1 B 0 C
T 1 0 C 0 A
T 1 1 C 1 A

# Initial states
# Init <global> <thread_1> ... <thread_n>
Init 0 A A

# Error states
# Error <global>  <thread_1> ... <thread_n>
Error 0 B B 
Error 1 B B 

